summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pierre Cazenave2011-10-19 12:06:04 +0200
committer Niels Horn2011-10-19 12:06:04 +0200
commit8d5c20db4abffdde22060be57b4f9b2fd78c1819 (patch)
tree101cece081881e5ccb93220f76c72d18fbb3c174
parentc572b42ea8a53032de765636c42fa73503a7ecd1 (diff)
downloadslackbuilds-8d5c20db4abffdde22060be57b4f9b2fd78c1819.tar.gz
audio/listener: Updated for version 2.0.1.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/listener/README20
-rw-r--r--audio/listener/listener.SlackBuild22
-rw-r--r--audio/listener/listener.info8
-rw-r--r--audio/listener/slack-desc6
4 files changed, 27 insertions, 29 deletions
diff --git a/audio/listener/README b/audio/listener/README
index a2a14cb0f7..b4e6f674db 100644
--- a/audio/listener/README
+++ b/audio/listener/README
@@ -1,16 +1,16 @@
This program listens for sound. If it detects any, it starts recording
automatically and also automatically stops when things become silent again.
-In order to use this, a few steps need to be completed first:
+Listener requires portaudio.
-1. Remove the line: filter = ./my_filter2.so.0.1 0 3000.0 1.0
- from /etc/listener.conf.
+In order to use this, a few steps need to be completed first:
-2. Run setlistener (as an ordinary user), and use the
- cursor keys on your keybord to move the "|" left and right until <silence>
- appears in place of <SOUND!>. Make a note of the "Current detection level",
- and modify the detect_level value in /etc/listener.conf to match.
+1. Run setlistener (as an ordinary user), and use the
+ cursor keys on your keybord to move the "|" left and right until
+ <silence> appears in place of <SOUND!>. Make a note of the "Current
+ detection level", and modify the detect_level value in
+ /etc/listener.conf to match.
-3. To start, run listener -f (to prevent it forking to the background. Omit -f
- if you wish to fork). Output will be saved in the current directory as a
- wav file by default.
+2. To start, run listener -f (to prevent it forking to the background.
+ Omit -f if you wish to fork). Output will be saved in the current
+ directory as an ogg file by default.
diff --git a/audio/listener/listener.SlackBuild b/audio/listener/listener.SlackBuild
index 3d5620e1e7..21a572ebec 100644
--- a/audio/listener/listener.SlackBuild
+++ b/audio/listener/listener.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Slackware build script for listener.
#
@@ -12,19 +12,18 @@
#
# Created 07/08/2008
# Updated for Slackware64 28/05/2009
+# Updated to version 2.0.1 09/10/2011
#
PRGNAM=listener
-VERSION=1.7.2
-BUILD=${BUILD:-2}
+VERSION=2.0.1
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -54,15 +53,13 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvzf $CWD/$PRGNAM-$VERSION.tgz
+tar -xvf $CWD/$PRGNAM-$VERSION.tgz
cd $PRGNAM-$VERSION
chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# make the destination directories for the Makefile, otherwise it keels over.
mkdir -p $PKG/{usr/bin,etc}
@@ -76,6 +73,7 @@ sed -i 's@/usr/local/etc/listener.conf@/etc/listener.conf@' listener.h
# fix the documentation reference to the config file too
sed -i 's@/usr/local/etc/listener.conf@/etc/listener.conf@' manual.html
+CFLAGS="$SLKCFLAGS" \
make install INSTALL_PREFIX=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
@@ -86,7 +84,7 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-# don't clobber existing .conf files in /etc
+# Don't clobber existing .conf files in /etc
mv $PKG/etc/listener.conf $PKG/etc/listener.conf.new
mkdir -p $PKG/install
diff --git a/audio/listener/listener.info b/audio/listener/listener.info
index 03ee744e35..d726f6de01 100644
--- a/audio/listener/listener.info
+++ b/audio/listener/listener.info
@@ -1,10 +1,10 @@
PRGNAM="listener"
-VERSION="1.7.2"
+VERSION="2.0.1"
HOMEPAGE="http://www.vanheusden.com/listener/"
-DOWNLOAD="http://www.vanheusden.com/listener/listener-1.7.2.tgz"
-MD5SUM="8ad9c24c45c7d28aed606304a2bf80bf"
+DOWNLOAD="http://www.vanheusden.com/listener/listener-2.0.1.tgz"
+MD5SUM="c793da01635e25ec04b87d3ed83d359d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Pierre Cazenave"
EMAIL="pwcazenave <at> gmail <dot> com"
-APPROVED="dsomero"
+APPROVED="dsomero,Niels Horn"
diff --git a/audio/listener/slack-desc b/audio/listener/slack-desc
index 534b6c6e18..8360369684 100644
--- a/audio/listener/slack-desc
+++ b/audio/listener/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
listener: listener (listens for sound. If detected, it starts recording)
listener:
listener: This program listens for sound. If it detects any, it starts
@@ -13,7 +13,7 @@ listener: recording automatically and also automatically stops when things
listener: become silent again.
listener:
listener: http://www.vanheusden.com/listener
-listener:
listener:
listener:
-listener: \ No newline at end of file
+listener:
+listener: